Bug 139220 - Evolution cannot send email
Evolution cannot send email
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 00:48 EST by Jean-Francois Saucier
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:49:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Francois Saucier 2004-11-14 00:48:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
This is a frech install of FC3 and everything describe under work in
evolution on FC2 but not on FC3

I have setup one pop and one smtp server in the account and I can
receive mail very well.

But, when I try to send mail, I receive this message :


Error while performing operation.

MAIL FROM command failed: This system is configured to reject mail
from dsl12-SSS.express.oricom.ca.





If I do : export CAMEL_VERBOSE_DEBUG=1 , this is what I get when I try
to send the mail :


Searching for added matches '(match-all (system-flag "Deleted"))'
Vfolder 'Trash' subfolder changed 'Outbox'
 changed 0 added 1 removed 0
 Searching for added matches '(match-all (system-flag "Junk"))'
Vfolder 'Junk' subfolder changed 'Outbox'
 changed 0 added 1 removed 0
Thread ee1f8bb0 >
CamelFolder:get_message('Outbox', '36') =
class: CamelMimeMessage
mime-type: text/plain
content class: CamelDataWrapper
content mime-type: text/plain
< ee1f8bb0 >
sending : EHLO 192.168.0.104
received: 250-oricom.ca
received: 250-SIZE 52428800
received: 250-ENHANCEDSTATUSCODES
This server supports enhanced status codes
received: 250-X-IMS 3 47109
received: 250-DSN
received: 250-VRFY
received: 250 8BITMIME
This server supports 8bit MIME
sending : MAIL FROM:<djf_jeff@oricom.ca>
received: 550 5.7.1 This system is configured to reject mail from
dsl12-SSS.express.oricom.ca
CamelException.setv(0xee1f83e0, 2, 'MAIL FROM command failed: This
system is configured to reject mail from dsl12-SSS.express.oricom.ca')
sending : QUIT
received: 221 2.0.0 oricom.ca closing




It work fine with another smtp server. It also work fine with the same
smtp server and thunderbird.

Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Open evolution
2. Write a mail
3. Send the mail
    

Actual Results:  The mail is not send and I receive an error message

Expected Results:  The mail is send

Additional info:
Comment 1 Paul W. Frields 2004-11-23 18:13:32 EST
What are the exact settings you are using for POP and SMTP in Evolution? What is
your physical network setup on your computer -- is it directly connected to a
DSL line, or do you use a router of some sort? Without more information your
problem will likely go unaddressed, but I suspect this is not a bug and simply
user error.

My suspicion is that you are trying to SMTP to sendmail on localhost, that is
not configured to allow relaying from 192.168.0.0/24. 

1. Try using Sendmail instead of SMTP as the outgoing mail preference - This
will use localhost (127.0.0.1) instead of any other network, and your local box
will send mail directly to the outside. For many normal users this suffices.

You might encounter problems with (1) if, for example, a receiving MTA is set up
to reject hosts it can't authenticate in some fashion. In that case:

2. Try using your DSL provider's SMTP host information in Evolution, if that's
not what you're doing already.
Comment 2 Jean-Francois Saucier 2004-11-24 15:58:43 EST
I use the providers info in Evolution and everything is double checked...

I enter the same information in thunderbird and it work. Both on same
system running at the same time... So it's not a problem with my
informations or my router...

And my gmail smtp server work fine in Evolution, and the smtp at my
job also work fine. It is just my ISP smtp that don't work.

Other user have reported the same problem in the fedoraforum.org forum.
Comment 3 Paul W. Frields 2004-11-24 16:13:08 EST
The main problem I see is that Evolution is issuing:

  EHLO 192.168.0.104

which means that the foreign MTA is being hailed by a host that comes
from an outside network that claims to be from a reserved IP address.
Most mail hosts will reject this kind of thing, since it usually means
someone on the outside is trying to trick the MTA into relaying spam
or some other such nonsense.

I'm not an Evolution or MTA expert, just interested in the outcome of
this bug. We have a few folks in my office who use Evo to send e-mail
directly to their outside ISP's from inside our firewall, and I would
like to know if this could come up for us as well.

Can you provide the similar debug output for gmail or other SMTP host
to compare?
Comment 4 Jean-Francois Saucier 2004-11-24 19:44:58 EST
Yes, here it is with the gmail smtp :


 Searching for added matches '(match-all (system-flag "Deleted"))'
Vfolder 'Trash' subfolder changed 'Outbox'
 changed 0 added 1 removed 0
 Searching for added matches '(match-all (system-flag "Junk"))'
Vfolder 'Junk' subfolder changed 'Outbox'
 changed 0 added 1 removed 0

(evolution:5004): camel-WARNING **: camel_exception_get_id called with
NULL parameter.
Thread 8f1fbb0 >
CamelFolder:get_message('Outbox', '56') =
class: CamelMimeMessage
mime-type: text/plain
content class: CamelDataWrapper
content mime-type: text/plain
< 8f1fbb0 >
sending : EHLO 192.168.0.100
received: 250-smtp.gmail.com at your service
received: 250-SIZE 20971520
received: 250-8BITMIME
This server supports 8bit MIME
received: 250-ENHANCEDSTATUSCODES
This server supports enhanced status codes
received: 250 AUTH PLAIN LOGIN
sending : AUTH PLAIN ZF4sSAEf4FF5gDDAAAAAXc=
received: 235 2.7.0 Accepted
sending : MAIL FROM:<jsauZZZ@gmail.com>
received: 250 2.1.0 OK
sending : RCPT TO:<jf_sauZZZ@hotmail.com>
received: 250 2.1.5 OK
sending : DATA
received: 354 Go ahead
sending : \r\n.\r\n
received: 250 2.0.0 OK 1101342966
sending : RSET
received: 250 2.1.0 Flushed
sending : QUIT
received: 221 2.0.0 smtp.gmail.com closing connection
CamelException.setv((nil), 302, 'Could not parse URL `'')
 Searching for added matches '(match-all (system-flag "Deleted"))'
Vfolder 'Trash' subfolder changed 'Sent'
 changed 0 added 1 removed 0
 Searching for added matches '(match-all (system-flag "Junk"))'
Vfolder 'Junk' subfolder changed 'Sent'
 changed 0 added 1 removed 0
 Searching for changed matches '(match-all (system-flag "Deleted"))'
Vfolder 'Trash' subfolder changed 'Outbox'
 changed 1 added 0 removed 0
 Vfolder auto-update
uids match:
 Searching for changed matches '(match-all (system-flag "Junk"))'
Vfolder 'Junk' subfolder changed 'Outbox'
 changed 1 added 0 removed 0
 Vfolder auto-update
uids match:
Vfolder 'Trash' subfolder changed 'Outbox'
 changed 0 added 0 removed 1
  removing uid '56'
Vfolder 'Junk' subfolder changed 'Outbox'
 changed 0 added 0 removed 1
  removing uid '56'
Comment 5 Paul W. Frields 2004-11-25 09:49:43 EST
OK, and in the meantime I did the same on my machine, and get the same
kind of output you got for gmail -- in other words, it works for me.
You still haven't posted anything about the settings you use for that
account in Evolution. Have you compared them with a live, working FC2
box to see if there are any discrepancies?
Comment 6 Matthew Miller 2006-07-10 18:43:53 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-30 17:49:52 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.